
Foreman - Bug #2192

FAILED: LdapError: No such address or other socket error

02/09/2013 04:18 PM - Gustavo Varela

Status: Closed   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I just upgraded from version 1.0 to 1.1 and my auth vs Active Directory does not work. It was working before the upgrade.

This is the error on the log,

Started POST "/users/login" for 10.127.245.72 at Sat Feb 09 14:57:29 -0600 2013

Processing by UsersController#login as HTML

Parameters: {"login"=>{"login"=>"sg0214163", "password"=>"[FILTERED]"},

"authenticity_token"=>"KoCSAg0tibaXKwZIVSNw2d+It5JR79aUoABQmeVt9Po=", "utf8"=>"âœ“", "commit"=>"Login Â»"}

Operation FAILED: LdapError: No such address or other socket error.

Rendered home/_topbar.rhtml (4.3ms)

Rendered common/500.rhtml within layouts/application (15.8ms)

Completed 500 Internal Server Error in 40050ms (Views: 16.8ms | ActiveRecord: 1.6ms)

I tried creating a new LDAP source but no luck.

History

#1 - 02/12/2013 02:50 AM - Ohad Levy

- Priority changed from Immediate to Normal

the error indicate some low level error, like DNS, etc/hosts etc?

can you please provide more details (e.g. complete logs with debug)?

#2 - 02/25/2013 01:55 PM - Gustavo Varela

It was a problem with my DNS, sorry for the inconvenience.

#3 - 02/25/2013 01:57 PM - Gustavo Varela

This can be closed.

#4 - 02/25/2013 02:06 PM - Dominic Cleal

- Category set to Authentication

- Status changed from New to Closed

Thanks for updating us!
